Skip to content

List identity documents

Request

Lists identity documents.

Security
oauth2_client_credentials or oauth2_authorization_code
Query
pageSizeinteger, (int32)(page_size)

Optional. The maximum number of documents to return. The service may return fewer than this value. If unspecified, at most 50 documents will be returned. The maximum value is 100; values above 100 will be coerced to 100.

Example:pageSize=25
pageTokenstring(page_token)

Optional. A page token, received from a previous ListDocuments call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListDocuments must match the call that provided the page token.

Example:pageToken=ChAIAhABGAE
skipinteger, (int32)(skip)

Optional. The number of documents to skip before starting to collect the result set.

Example:skip=10
showDeletedboolean(show_deleted)

Optional. If true, soft-deleted documents will be included in the response. See AIP-164.

curl -i -X GET \
  https://docs.bndry.net/_mock/apis/openapi/v1alpha/documents \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
documentsArray of objects(documents)

The list of identity documents.

nextPageTokenstring(next_page_token)

A token to retrieve the next page of results, or empty if there are no more results in the list. string.page_token = true // page_token must be at most 2048 characters

Example:"ChAIAhABGAE"
totalSizeinteger, (int32)(total_size)

The total number of documents matching the request. int32.total_size = true // total_size must be non-negative

Example:42
Response
{ "documents": [ { … } ], "nextPageToken": "ChAIAhABGAE", "totalSize": 42 }